def odd_row(n: int) -> list[int]:
    """
    Adott az egymást követő páratlan számokból álló háromszög

                 1
              3     5
           7     9    11
       13    15    17    19
    21    23    25    27    29
    ...
    
    A kód visszaadja a háromszög n-dik sorát

    Példa:
    2 => [3, 5]
    4 => [21, 23, 25, 27, 29]

    Args:
        n [int]: 0-nál nagyobb integer

    Returns:
        list[int]: a háromszög n-dik sora
    """
    
# Testing starts here
test_data = [
    {
        'args': [2],
        'result': [3, 5]
    },
    {
        'args': [5],
        'result': [21, 23, 25, 27, 29]
    },
    {
        'args': [13],
        'result': [157, 159, 161, 163, 165, 167, 169, 171,
        173, 175, 177, 179, 181]
    },
    {
        'args': [19],
        'result': [343, 345, 347, 349, 351, 353, 355, 357,
        359, 361, 363, 365, 367, 369, 371, 373, 375, 377, 379]
    },
    {
        'args': [41],
        'result': [1641, 1643, 1645, 1647, 1649, 1651, 1653,
        1655, 1657, 1659, 1661, 1663, 1665, 1667, 1669, 1671, 1673, 1675, 1677,
        1679, 1681, 1683, 1685, 1687, 1689, 1691, 1693, 1695, 1697, 1699, 1701,
        1703, 1705, 1707, 1709, 1711, 1713, 1715, 1717, 1719, 1721]
    },
    {
        'args': [50],
        'result': [2451, 2453, 2455, 2457, 2459, 2461, 2463, 2465, 2467, 2469, 2471,
        2473, 2475, 2477, 2479, 2481, 2483, 2485, 2487, 2489, 2491, 2493, 2495, 2497,
        2499, 2501, 2503, 2505, 2507, 2509, 2511, 2513, 2515, 2517, 2519, 2521, 2523,
        2525, 2527, 2529, 2531, 2533, 2535, 2537, 2539, 2541, 2543, 2545, 2547, 2549]
    }
]

for data in test_data:
    assert odd_row(*data['args']) == data["result"]

print("All test OK", end='\n\n')